AOZ Studio Beta - Bug #617

Right$ fails in Amiga manifest. Commas fail in Amiga mode.
01/12/2021 10:21 AM - Brian Flanagan

Status: Closed Start date: 01/12/2021
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: Beta 3

Affected version: Beta 2

Description

Example:

#manifest: "aoz"

X$=Il$olll . Prlnt "[";X$;"J","[";Rights(X$,2);"]"

Print "XXXXXAMAXXXX"

Xs:"$12" B Prll’lt "[";X$;"J","[";Right$(X$,2);"]"

Print "XXXXX"NNAXXXX"

In either manifest, the results for the above SHOULD BE:
[$01] [01]

):0:0.0.0. GXND'0:0:0'¢

[$12] [12]

XXXXXN M MXXXX

It works in the AOZ manifest, but fails in Amiga mode.

History

#1 - 01/21/2021 11:25 AM - Brian Flanagan

Re-tested with latest patches.

Right$ is now working, however, commas are still spacing incorrectly in Amiga mode.

#2 - 01/24/2021 10:43 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to Beta 3

Fixed!

#3 - 01/24/2021 10:43 AM - Francois Lionet
Fixed!

#4 - 01/25/2021 09:57 AM - Brian Flanagan

- Status changed from Resolved to Closed

Verified... now works in both manifests. Thanks!
